Get the status of a restore operation
GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/restores/{restoreId}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/staging/restores/restore-abc123';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/staging/restores/restore-abc123 \ --header 'Authorization: Bearer <token>'Returns the current status and metadata for a restore operation. Poll this endpoint to track progress.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
stagingrestoreId
required
string
The restore operation ID
Example
restore-abc123Responses
Section titled “Responses”Restore operation record
Media typeapplication/json
object
restoreId
string
orgName
string
appName
string
envName
string
backupId
string
status
string
startedAt
string format: date-time
completedAt
string format: date-time
errorMessage
string
taskArn
string
ttl
integer
Example
{ "restoreId": "restore-abc123", "orgName": "test-org", "appName": "test-app", "envName": "staging", "backupId": "quant-gov-dashboard-staging-2025-09-19T21-50-27-145Z", "status": "pending"}